Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 238155

Summary: Respect user's namespace prefix when importing namespaces
Product: javaee Reporter: Vladimir Riha <vriha>
Component: JSF EditorAssignee: Martin Fousek <marfous>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3    
Version: 8.0   
Target Milestone: 8.0   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Vladimir Riha 2013-11-08 12:15:00 UTC
Extracted from issue 205232.

When I have a custom (non-standard) prefix for namespace, like

<test:choose>

</test:choose>

and select jstl/core ns to be imported, would it make sense to import it with prefix "test" instead of "c"? 

xmlns:test="http://xmlns.jcp.org/jsp/jstl/core"
Comment 1 Martin Fousek 2013-11-11 06:50:15 UTC
Good catch Vlado. Should be fixed in web-main #5d2c2daf4966.
Comment 2 Vladimir Riha 2013-11-18 12:18:22 UTC
Thank you, verified

Product Version: NetBeans IDE Dev (Build 201311180002)
Java: 1.7.0_45; Java HotSpot(TM) Client VM 24.45-b08
Runtime: Java(TM) SE Runtime Environment 1.7.0_45-b18
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo